JGMENU-XDG(1)

% Johan Malm
% 17 December, 2017

NAME

jgmenu-xdg.sh - generates jgmenu flavoured CSV for an XDGish menu

SYNOPSIS

jgmenu_run xdg [--no-dirs] [<.menu file>]

DESCRIPTION

jgmenu_run xdg generates jgmenu flavoured CSV text for a menu based
on XML .menu files loosely in accordance with the XDG specifications:

http://standards.freedesktop.org/menu-spec/
http://standards.freedesktop.org/basedir-spec/
http://standards.freedesktop.org/desktop-entry-spec/
http://standards.freedesktop.org/desktop-entry-spec/

jgmenu_run xdg is a very simple XDG implementation.
It understands the XML elements <Menu>, <Name>, <Directory>
and <Include><And><Category>, but ignores everything else.

The .menu file is sought in ${XDG_CONFIG_DIRS:-/etc/xdg} with
user configuration override in ${XDG_CONFIG_HOME:-$HOME/.config}

$XDG_MENU_PREFIX can be used to specity a .menu file. For example
$XDG_MENU_PREFIX=lxde- will load lxde-applications.menu
This can be useful if there are several .menu files on the system.

OPTIONS

--no-dirs
    ignore .menu and .directory files

EXAMPLES

    jgmenu_run xdg